Get messages for a conversation
curl --request GET \
--url https://api.korint.io/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/conversations/{conversationId}/messages"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"id": "<string>",
"conversationId": "<string>",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"model": "<string>",
"aiOperationId": "<string>",
"hasFeedback": true,
"inputTokens": 123,
"outputTokens": 123,
"processingTimeMs": 123,
"source": "<string>",
"toolCalls": [
{
"toolName": "<string>"
}
]
}
]
}{
"code": "CONVERSATION_NOT_FOUND",
"message": "Conversation {id} not found",
"details": {}
}conversations
Get messages for a conversation
GET
/
conversations
/
{conversationId}
/
messages
Get messages for a conversation
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

